REWIND(P)

NAME
rewind - reset the file position indicator in a stream

SYNOPSIS

#include <stdio.h>

void rewind(FILE *stream);

DESCRIPTION

The call:

    rewind(stream)

shall be equivalent to:

    (void) fseek(stream, 0L, SEEK_SET)

except that rewind() shall also clear the error indicator.

Since rewind() does not return a value, an application wishing to detect errors should clear errno, then call rewind(), and if errno is non-zero, assume an error has occurred.

RETURN VALUE

The rewind() function shall not return a value.

ERRORS

Refer to fseek() with the exception of [EINVAL] which does not apply.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

fseek() , the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .